Subject: Networking stuff

From: [email-masked] (Rob Thomas 890-7033 Mathematical Sciences Dept., Univ. of Alabama-Huntsville)
Date: Wed, 28 Apr 1993 13:52:08 -0700

As many people now know, I've begun my foray into the dangerous, glamourous
world of open_network_connection() usage from my little limited-access MOO.
I've written simple verbs that let me connect to a port on a remote machine
from within the MOO. Easy enough. I can log into other MOOs and I can get
finger listings from people's port 79s. However, when I try to connect to
port 23 or 513 in hopes of actually doing some useful UN*X system interface
type of stuff, I don't get the 'login: ' prompt I would expect. In fact, I 
get nothing at all. I generally just have to wait for the connection to time 
out. My theory as to why this doesn't work is as follows: 1) Port 23 doesn't
work because straight telnet works with continuous charater echoing, rather
than whole strings at a time. 2) Port 513 ddoesn't work because I know jack 
[stuff] about rlogin. I can see that. But I still want to make stuff work.

Can anyone offer an o_n_c() newbie some tips?

Thanks!
====Rob. CF@Lambda, Opal, JaysHouse, and Fore)